Summary: An op5 Monitor plugin to check 
Name: monitor-plugin-check_pf
Version: %{op5version}
Release: %{op5release}%{?dist}
License: GPLv2+
Group: op5/system-addons
URL: http://www.op5.com/support
Source0: %name-%version.tar.gz
Prefix: /opt/plugins
BuildRoot: %{_tmppath}/%{name}-%{version}
BuildRequires: gcc
Requires: plugins-nagios

%if 0%{?suse_version}
# SLES-specific stuff
Requires: net-snmp
%else
# Common RHEL stuff
%if 0%{?rhel} >= 6
# RHEL6-specific stuff
Requires: net-snmp-utils
%else
# RHEL5-specific stuff
%endif
%endif

%description
The plugin is to be used to checks hardware status,
temperature, power supply, etc. on Packetfront's machines.

%prep
%setup -q

%build
%__make

%install
make DESTDIR=%buildroot%prefix install

%clean
%__make clean
rm -rf %buildroot

%files
%defattr(-,root,root,-)
%attr(755,root,root) /opt/plugins/check_pf

%doc LICENSE

%changelog
* Mon Jun 12 2013 Martin Kamijo <mk@op5.com>
Inital repository migration packaging

